0

can't setup the AMD firePro W5130m GPU on my laptop. the Linux in AMD is too old 2015 and it gives :

=====================================================================

AMD Proprietary Driver Installer/Packager

=====================================================================

error: Detected X Server version 'XServer _64a' is not supported. Supported versions are X.Org 6.9 or later, up to XServer 1.10 (default:v2:x86_64:lib:XServer _64a:none:4.15.0-36-generic:) Installation will not proceed.

but when use sudo lshw -C display it showes completly differnet GPU.

how to install AMD firePro W5130m ?

enter image description here

2

Your card should be handled by the open source AMD driver, without needing anything to install. The closed one you are trying to install is obsolete.
You can check whether things are working fine by using the command glxinfo|grep OpenGL. It should tell you the Mesa version, OpenGL version and some info about the graphics card.
The model number you see is probably the real chip on the card, without the fancy name.

6
  • OpenGL vendor string: Intel Open Source Technology Center OpenGL renderer string: Mesa DRI Intel(R) HD Graphics 530 (Skylake GT2) OpenGL core profile version string: 4.5 (Core Profile) Mesa 19.0.8 OpenGL core profile shading language version string: 4.50 OpenGL core profile context flags: (none) OpenGL core profile profile mask: core profile OpenGL core profile extensions: OpenGL version string: 3.0 Mesa 19.0.8 OpenGL shading language version string: 1.30 OpenGL context flags: (none) OpenGL extensions: – Ahmed M.Osman Jul 1 '20 at 13:30
  • No AMD or its card property is mention? – Ahmed M.Osman Jul 1 '20 at 13:31
  • 1
    This is the Intel one. Now try the command DRI_PRIME=1 glxinfo|grep OpenGL. This will change to your second graphics card. Default (0) is the Intel. – lev258 Jul 1 '20 at 13:32
  • there is any way that can i make AMD is Default ? – Ahmed M.Osman Jul 1 '20 at 13:41
  • penGL vendor string: X.Org OpenGL renderer string: AMD VERDE (DRM 2.50.0, 4.15.0-36-generic, LLVM 8.0.0) OpenGL core profile version string: 4.5 (Core Profile) Mesa 19.0.8 OpenGL core profile shading language version string: 4.50 OpenGL core profile context flags: (none) OpenGL core profile profile mask: core profile OpenGL core profile extensions: OpenGL version string: 4.5 (Compatibility Profile) Mesa 19.0.8 OpenGL shading language version string: 4.50 OpenGL context flags: (none) OpenGL profile mask: compatibility profile – Ahmed M.Osman Jul 1 '20 at 13:41

Not the answer you're looking for? Browse other questions tagged or ask your own question.